View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
18190Bug reportsSurvey editingpublic2022-06-16 19:06
Reportergwdgls Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionsuspended 
Product Version3.28.x 
Summary18190: Reordering questions not possible
Description

The function "Organize question groups/questions" (in the menu named "Reorder questions / question groups" currently isn't working.

Steps To Reproduce

Steps to reproduce

  1. Create a survey
  2. Add at least two questions
  3. Go to the menu "Reorder questions / question groups"
  4. Drag one of the questions with the mouse and put it in a different position, as described on the screen.

Expected result

The question order is changed as desired and can be saved with either the "Save" or "Save and close" button.

Actual result

A big blue bar appears on the screen (see screenshot). It goes away when clicking "Save", and the questions remain in their original order.

TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)3.28.13
I will donate to the project if issue is resolvedNo
BrowserMS Edge, Firefox, Chrome
Database type & versionMySQL
Server OS (if known)Debian
Webserver software & version (if known)Apache
PHP Version 7.3.31-1~deb10u1

Relationships

related to 18144 confirmed drag and drop of element in structure menufor active surveys makes the screen freeze. Cannot move questions anyway 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gwdgls

gwdgls

2022-06-14 10:48

reporter  

gwdgls

gwdgls

2022-06-16 14:20

reporter   ~70393

Seems to have been fixed already:

See Changes from 3.28.13 (build 220531) to 3.28.14 (build 220608) June 7, 2022 in the release notes:
"-Fixed issue: Question organizer not working (Carsten Schmitz)"

gabrieljenik

gabrieljenik

2022-06-16 19:06

manager   ~70396

As per the comments, will be closing the ticket.
Please add any comments in case it should be reopened.
Thanks

Issue History

Date Modified Username Field Change
2022-06-14 10:48 gwdgls New Issue
2022-06-14 10:48 gwdgls File Added: blue_bar_when_reordering_questions.png
2022-06-14 23:09 gabrieljenik Relationship added related to 18144
2022-06-14 23:09 gabrieljenik Status new => acknowledged
2022-06-16 14:20 gwdgls Note Added: 70393
2022-06-16 14:20 gwdgls Bug heat 0 => 2
2022-06-16 19:06 gabrieljenik Assigned To => gabrieljenik
2022-06-16 19:06 gabrieljenik Status acknowledged => closed
2022-06-16 19:06 gabrieljenik Resolution open => suspended
2022-06-16 19:06 gabrieljenik Note Added: 70396
2022-06-16 19:06 gabrieljenik Bug heat 2 => 4